program Sint2d_
  use sep
  use utils_
  use intp2d_

  implicit none

  type(myaxis)  :: a1,b1
  type(myaxis)  :: a2,b2
  real, pointer :: da(:,:)
  real, pointer :: db(:,:)
  integer       :: ns1,ns2

  call sep_init()
  call from_param("ns1",ns1,11)
  call from_param("ns2",ns2,11)

  call printaxis(a1)
  call printaxis(a2)
  a1%l="a1";call hinaxis(a1,1)
  a2%l="a2";call hinaxis(a2,2)
  b1%l="b1";call pinaxis(b1)
  b2%l="b2";call pinaxis(b2)
  call houaxis(b1,1)
  call houaxis(b2,2)

  call sep_close()

  allocate(da(a1%n,a2%n))
  allocate(db(b1%n,b2%n))

  call sint2_init(ns1,ns2,a1,b1,a2,b2)
  call sep_read(da)

  call sint2(da,db)

  call sep_write(db)

  call exit(0)
end program Sint2d_
