MAKE_DEPEND=yes
PLIBDIR = ../../../plib

SRCDIR = ./src
S = ${SRCDIR}
LIBDIR = ${PLIBDIR}/lib/$(SEP_ARCH)
INCDIR = ${PLIBDIR}/inc/$(SEP_ARCH)
I = ${INCDIR}
BINDIR = ${PLIBDIR}/bin/$(SEP_ARCH)
B = ${BINDIR}
OBJDIR = ${PLIBDIR}/obj/$(SEP_ARCH)
O = ${OBJDIR}
PARDIR = ./par
P = ${PARDIR}

INCDIR = .
BINDIR = .
OBJDIR = .
I = ${INCDIR}
B = ${BINDIR}
O = ${OBJDIR}

UF90LIBDIR   = ${F90_LIB_DIR}
UF90LIBS     = -lsep2df90 -Bstatic #-lsep #-lutilities
UF90LIBDIRS  =   ${LIBDIR}
UCLIBDIRS    =   ${LIBDIR}
UF90INCLUDES = -I. -I${INCDIR}

ifeq (${ARCH},LINUX) # LINUX
  SRCPRO  = -Mdclchk -Mchkstk -Mreentrant -Kieee -Mbounds
  OPTIM   = -fast -Mvect=cachesize:2097152 -Mconcur #-Minline=size:25
  INFO    = -Minfo=loop -Minfo=inline
  PROFILE = #-Mprof=func

  F90C  = pgf90 -v -mp #${SRCPRO} ${OPTIM} ${INFO} ${PROFILE}
  F90LD = pgf90 -v -mp #${SRCPRO} ${OPTIM} ${INFO} ${PROFILE}
#  F90C  = pgf90 -v -lpgmp -lpthread ${SRCPRO} ${OPTIM} ${INFO} ${PROFILE}
#  F90LD = pgf90 -v -lpgmp -lpthread ${SRCPRO} ${OPTIM} ${INFO} ${PROFILE}
#  F90C  = pgf90 -v ${SRCPRO} ${OPTIM} ${INFO} ${PROFILE}
#  F90LD = pgf90 -v ${SRCPRO} ${OPTIM} ${INFO} ${PROFILE}
else                # SGI64
	F90C = ifc_f90 -openmp
endif

compile: ${PRG}
	 @touch junk.mod
	 @-${MV} *.mod $I

hwt2d.x: biohwt.o wftr.o hwt2d.o
pla2d.x: biohwt.o wftr.o pla2d.o
